Inhalt /Index /Suche anzeigen

Erforderliche Software

Für Reflection gelten die nachstehenden Softwareanforderungen. Je nach der gewählten Installationsmethode (mithilfe des Attachmate-Installationsprogramms, direkte Installation mit MSI oder Bereitstellung aus einer administrativen Installation) und der für die Installation verwendeten Plattform wird die Software installiert, automatisch aktualisiert, oder Sie werden zur Installation bzw. zum Durchführen einer Aktualisierung aufgefordert.

Microsoft .NET Framework 4.0 Runtime

Zum Ausführen von Reflection wird Microsoft .NET Framework 4.0 Runtime benötigt. Im Lieferumfang von Reflection ist neben einer 32-Bit- auch eine 64-Bit-Version dieser erforderlichen Software enthalten.

Für alle unterstützten Betriebssysteme außer Microsoft Server 2008 wird bei Verwendung des Attachmate-Installationsprogramms zum Installieren von Reflection ermittelt, ob auf dem jeweiligen System .NET Framework installiert ist. Gegebenenfalls wird das Programm automatisch installiert. (Dies gilt sowohl für die Benutzeroberfläche des Attachmate-Installationsprogramms als auch für den Befehlszeilenmodus.)

Hinweis: Bei Verwendung von Microsoft Windows Server 2008 R1 müssen Sie vor dem Installieren von Reflection sicherstellen, dass Microsoft .NET Framework 4.0 auf dem Server installiert ist. Das Attachmate-Installationsprogramm installiert .NET nicht auf diesem Server.

Microsoft Windows Installer 3.1

Microsoft Windows Installer (MSI) Version 3.1 ist im Lieferumfang von Reflection enthalten. Dies gilt nur für Windows XP (Windows Vista und Windows 7 beinhalten bereits eine höhere Version).

Wenn Sie das Attachmate-Installationsprogramm unter Windows XP ausführen, prüft der Assistent, ob Windows Installer 3.1 installiert ist, und nimmt bei Bedarf automatisch eine Aktualisierung vor.

Unterstützung für Visual Basic für Applikationen (VBA):

Reflection 2011 Release 2 unterstützt Microsoft VBA 6.5. Wenn Sie im Attachmate-Installationsprogramm angeben, dass diese Funktion installiert werden soll, wird sie automatisch installiert. Wenn Sie Reflection direkt mit MSI oder mit einem Bereitstellungstool installieren und Sie diese Funktion installieren möchten, müssen Sie sie direkt mithilfe von VBA 6.5 MSI und einem entsprechenden sprachspezifischen MSI (diese MSIs befinden sich im Ordner "Prerequisites" auf dem Auslieferungsmedium) installieren.

Direktes Bereitstellen von MSI-Dateien

Um Reflection direkt mit MSI oder mit einem Bereitstellungstool installieren zu können, muss zunächst .NET Framework installiert werden.

Wenn Sie Reflection direkt (über MSI) installieren oder aus einer administrativen Installation bereitstellen, wird Windows Installer 3.1 nicht automatisch unter Windows XP installiert. Die Installation von Windows Installer 3.1 ist zwar optional, es wird aber empfohlen, die Windows Installer-Version zu aktualisieren, um die Möglichkeiten von Windows Installer 3.1 in vollem Umfang nutzen zu können.

Auf Windows XP-Workstations, auf denen Windows Installer 3.1 nicht installiert ist, kann es als separates Paket bereitgestellt werden.

Verwandte Themen

Systemanforderungen